<form name="form" (ngSubmit)="f.form.valid && submitForm(f)" #f="ngForm" novalidate>
  <div class="form-group">
    <label for="title">{{ 'Fanfics.form.title.text' | translate:lang }}</label>
    <input type="text"
           [(ngModel)]="fanfic.title"
           class="form-control"
           id="title"
           name="title"
           [class.is-invalid]="title.invalid && (title.dirty || title.touched)"
           [class.is-valid]="title.valid"
           #title="ngModel" required/>
    <div class="invalid-feedback">{{ titleValidate(title) | translate:lang }}</div>
  </div>
  <div class="form-group">
    <label for="description">{{ 'Fanfics.form.description.text' | translate:lang }}</label>
    <textarea class="form-control"
              [(ngModel)]="fanfic.description"
              name="description"
              id="description"
              [class.is-invalid]="description.invalid && (description.dirty || description.touched)"
              [class.is-valid]="description.valid"
              #description="ngModel"
              cols="30" rows="10" required>
        </textarea>
    <div class="invalid-feedback">{{ descriptionValidate(description) | translate:lang }}</div>
  </div>
  <div class="form-group">
    <label for="genre">{{ 'Fanfics.form.genre.text' | translate:lang }}</label>
    <select class="form-control"
            id="genre"
            #genre="ngModel"
            [class.is-invalid]="genre.invalid && (genre.dirty || genre.touched)"
            [class.is-valid]="genre.valid"
            [(ngModel)]="fanfic.genre"
            [ngModelOptions]="{standalone: true}" required>
      <option *ngFor="let genre of genres" value="{{genre}}">{{ genre }}</option>
    </select>
    <div class="invalid-feedback">{{ 'Fanfics.form.genre.required' | translate:lang }}</div>
  </div>
  <div class="form-group">
    <label for="chapter-plus"><h2>{{ 'Fanfics.Chapter.formText' | translate:lang }}</h2></label>
    <a class="btn btn-success float-right"
       id="chapter-plus"
       (click)="pushNewChapter()"
       style="margin-bottom: 20px; color: white;"><i class="fa fa-plus"></i></a>
  </div>
  <div class="clearfix"></div>
  <div class="form-group">
    <div *ngFor="let chapter of chapters">
      <span style="position: absolute; right: 25px;" (click)="deleteChapter(chapter.number)"><i class="fa fa-times"></i></span>
      <app-chapter-create [chapter]="chapter"></app-chapter-create>
    </div>
  </div>
  <hr>
  <div class="form-group">
    <label for="tags"><h2>{{ 'Fanfics.form.tags' | translate:lang }}</h2></label>
    <tag-input id="tags" [(ngModel)]="fanfic.Tags"
               [displayBy]="'value'"
               [identifyBy]="'value'"
               [ngModelOptions]="{standalone: true}"
               [onlyFromAutocomplete]="false">
      <tag-input-dropdown
        [autocompleteItems]="tags"
        [displayBy]="'value'"
        [identifyBy]="'value'">
      </tag-input-dropdown>
    </tag-input>
  </div>
  <div class="form-group">
    <h2>{{ 'Fanfics.form.image' | translate:lang }}</h2>
    <br>
    <app-image-uploader [model]="fanfic"></app-image-uploader>
  </div>
  <div class="form-group">
    <button [disabled]="!f.form.valid" class="btn btn-primary form-control">{{ btnText }}</button>
  </div>
</form>
